BeanContextServiceAvailableEvent (Java SE 14 & JDK 14)
Description: declaration: module: java.desktop, package: java.beans.beancontext, class: BeanContextServiceAvailableEvent
Keywords: java.beans.beancontext.BeanContextServiceAvailableEvent class

Module java.desktop
Package java.beans.beancontext

# Class BeanContextServiceAvailableEvent

java.lang.Object
java.util.EventObject
java.beans.beancontext.BeanContextEvent
java.beans.beancontext.BeanContextServiceAvailableEvent

All Implemented Interfaces:
  `Serializable`

    public class BeanContextServiceAvailableEvent
    extends BeanContextEvent

This event type is used by the BeanContextServicesListener in order to identify the service being registered.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected Class<?>` | `serviceClass` | A `Class` reference to the newly available service

  ### Fields declared in class java.beans.beancontext.BeanContextEvent

  `propagatedFrom`

  ### Fields declared in class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BeanContextServiceAvailableEvent​(BeanContextServices bcs, Class<?> sc)` | Construct a `BeanContextAvailableServiceEvent`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Iterator<?>` | `getCurrentServiceSelectors()` | Gets the list of service dependent selectors.
  `Class<?>` | `getServiceClass()` | Gets the service class that is the subject of this notification.
  `BeanContextServices` | `getSourceAsBeanContextServices()` | Gets the source as a reference of type `BeanContextServices`.

  ### Methods declared in class java.beans.beancontext.BeanContextEvent

  `getBeanContext, getPropagatedFrom, isPropagated, setPropagatedFrom`

  ### Methods declared in class java.util.EventObject

  `getSource, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### serviceClass

    protected Class<?> serviceClass
    A `Class` reference to the newly available service

- ## Constructor Details

  - ### BeanContextServiceAvailableEvent

    public BeanContextServiceAvailableEvent​(BeanContextServices bcs, Class<?> sc)
    Construct a `BeanContextAvailableServiceEvent`.
    Parameters:
      `bcs` - The context in which the service has become available
      `sc` - A `Class` reference to the newly available service

- ## Method Details

  - ### getSourceAsBeanContextServices

    public BeanContextServices getSourceAsBeanContextServices()
    Gets the source as a reference of type `BeanContextServices`.
    Returns:
      The context in which the service has become available

  - ### getServiceClass

    public Class<?> getServiceClass()
    Gets the service class that is the subject of this notification.
    Returns:
      A `Class` reference to the newly available service

  - ### getCurrentServiceSelectors

    public Iterator<?> getCurrentServiceSelectors()
    Gets the list of service dependent selectors.
    Returns:
      the current selectors available from the service